Subject: bug#34690: 26.1; Emacs gets stuck when replacing text

From: Daniel Hernandez <[email-masked]>
Date: Fri, 01 Mar 2019 17:11:25 -0300

---- On vie, 01 mar 2019 11:48:16 -0300 Eli Zaretskii <[email-masked]> wrote ----
 > > Date: Fri, 01 Mar 2019 11:37:10 -0300 
 > > From: Daniel Hernandez <[email-masked]> 
 > > Cc: "34690" <[email-masked]> 
 > >  
 > >  > Does this happen with any text in any buffer, and with any search and  
 > >  > replacement strings? or just with some?  
 > >   
 > > It happens with any buffer; even with an empty one. 
 > > This problem occurs also when I only have that lines in 
 > > the ".emacs" file. 
 > >    
 > >  > > The lines added by Custom are the following:  
 > >  > >   
 > >  > > (custom-set-faces  
 > >  > >  ;; custom-set-faces was added by Custom.  
 > >  > >  ;; If you edit it by hand, you could mess it up, so be careful.  
 > >  > >  ;; Your init file should contain only one such instance.  
 > >  > >  ;; If there is more than one, they won't work right.  
 > >  > >  '(default ((t (:family "Inconsolata" :foundry "unknown" :slant  
 > >  > >  normal :weight normal :height 128 :width normal)))))  
 > >  >   
 > >  > Only with this particular font, or with any font?  
 > >   
 > > I noticed that it occurs with some font and it does not occur 
 > > with other. For instance, it does not occur with DejaVu Sans 
 > > Mono. That is, it does not occur with the following lines: 
 > >  
 > > (custom-set-faces 
 > >  ;; custom-set-faces was added by Custom. 
 > >  ;; If you edit it by hand, you could mess it up, so be careful. 
 > >  ;; Your init file should contain only one such instance. 
 > >  ;; If there is more than one, they won't work right. 
 > >  '(default ((t (:family "DejaVu Sans Mono" :foundry "unknown" 
 > >  :slant normal :weight normal :height 98 :width normal))))) 
 >  
 > Can you try the latest pretest of Emacs 26.2?  Maybe this problem is 
 > already fixed. 
 >  
 > If Emacs 26.2 also has this problem, the next step is to attach GDB to 
 > Emacs when this happens and use the technique described in etc/DEBUG 
 > to find out where it loops. 
 
I will try with the latest pretest of Emacs 26.2 (probably the next week).

 > > Another detail. When it occurs the text "Query replace:" is 
 > > not showed. 
 >  
 > This is consistent with redisplay looping. 
 >